# Retrieve Payment API
source: https://developer.mastercard.com/cross-border-services/documentation/api-ref/transaction-apis/retrieve-payment-api/index.md

Alert: If you are a Customer contracted with MTS EU or MTS UK, refer to the corresponding EU and UK specification inside the swagger file to ensure compliance with the relevant jurisdiction based on Regulatory Technical Standards (either EU or UK) derived from the Revised Payment Services Directive (PSD2).

You can use this API to retrieve the payment transaction using the transaction Id or transaction Reference.   
When using the Retrieve Payment API resource to check the status of a PENDING payment, it should be used no more than every 30 minutes for each payment being retrieved.

## Environment Domains {#environment-domains}

### Retrieve Payment by Transaction Id {#retrieve-payment-by-transaction-id}

* Sandbox/MTF
* Sandbox-EU
* Sandbox-UK
* MTF-EU
* MTF-UK
* Production
* Production-EU
* Production-UK

```Sandbox/MTF
https://sandbox.api.mastercard.com/send/v1/partners/{partner-id}/crossborder/{payment-id}
```

```Sandbox-EU
https://sandbox.api.xbs.mastercard.eu/send/v1/partners/{partner-id}/crossborder/{payment-id}
```

```Sandbox-UK
https://sandbox.api.xbs.mastercard.uk/send/v1/partners/{partner-id}/crossborder/{payment-id}
```

```MTF-EU
https://mtf.api.xbs.mastercard.eu/send/v1/partners/{partner-id}/crossborder/{payment-id}
```

```MTF-UK
https://mtf.api.xbs.mastercard.uk/send/v1/partners/{partner-id}/crossborder/{payment-id}
```

```Production
https://api.mastercard.com/send/v1/partners/{partner-id}/crossborder/{payment-id}
```

```Production-EU
https://api.xbs.mastercard.eu/send/v1/partners/{partner-id}/crossborder/{payment-id}
```

```Production-UK
https://api.xbs.mastercard.uk/send/v1/partners/{partner-id}/crossborder/{payment-id}
```

### Retrieve Payment by Transaction Reference {#retrieve-payment-by-transaction-reference}

* Sandbox/MTF
* Sandbox-EU
* Sandbox-UK
* MTF-EU
* MTF-UK
* Production
* Production-EU
* Production-UK

```Sandbox/MTF
https://sandbox.api.mastercard.com/send/v1/partners/{partner-id}/crossborder?ref={payment-reference}
```

```Sandbox-EU
https://sandbox.api.xbs.mastercard.eu/send/v1/partners/{partner-id}/crossborder?ref={payment-reference}
```

```Sandbox-UK
https://sandbox.api.xbs.mastercard.uk/send/v1/partners/{partner-id}/crossborder?ref={payment-reference}
```

```MTF-EU
https://mtf.api.xbs.mastercard.eu/send/v1/partners/{partner-id}/crossborder?ref={payment-reference}
```

```MTF-UK
https://mtf.api.xbs.mastercard.uk/send/v1/partners/{partner-id}/crossborder?ref={payment-reference}
```

```Production
https://api.mastercard.com/send/v1/partners/{partner-id}/crossborder?ref={payment-reference}
```

```Production-EU
https://api.xbs.mastercard.eu/send/v1/partners/{partner-id}/crossborder?ref={payment-reference}
```

```Production-UK
https://api.xbs.mastercard.uk/send/v1/partners/{partner-id}/crossborder?ref={payment-reference}
```

Note: **Sandbox** and **MTF** environments share the same url but are differentiated by partner id.

## API {#api}

[**Open Specification**](https://static.developer.mastercard.com/content/cross-border-services/swagger/cross_border-swagger.yaml)

Alternatively, here is a tabular view of the request/ response parameter:
[Retrieve_Payment_Specifications.pdf](https://static.developer.mastercard.com/content/cross-border-services/uploads/Retrieve_Payment_Specifications.pdf) (1MB)   

### Retrieve Payment by Transaction ID {#retrieve-payment-by-transaction-id-1}


API Reference: `GET /send/v1/partners/{partner-id}/crossborder/{payment-id}`

### Retrieve Payment by Transaction Reference {#retrieve-payment-by-transaction-reference-1}


API Reference: `GET /send/v1/partners/{partner-id}/crossborder`

* **Formats supported** : XML/ JSON   
* **HTTP Version**: 1.0/ 1.1
* **Required HTTP header parameters** :   
  content-type : Format of the inbound content being submitted. example: application/json   
  content-length: Length of the inbound content body in octets.   
  Accept: Format of the expected response must be provided in this header field. Example - application/json

## API Convention {#api-convention}

Take a look at the [API Conventions](https://developer.mastercard.com/cross-border-services/documentation/api-basics/index.md#api-conventions) for general guidelines.

## Payload Encryption {#payload-encryption}

All the request payload sent by you to Mastercard must be encrypted. And you will need to decrypt the payload sent by Mastercard.   

For more detailed information on payload **Encryption/Decryption** , please see [here](https://developer.mastercard.com/cross-border-services/documentation/api-basics/index.md#transport-encryption)

## Next step {#next-step}

Proceed to [Retrieve Payment API: Sandbox Testing](https://developer.mastercard.com/cross-border-services/documentation/testing/retrieve-payment-api/index.md) to test the Retrieve Payment API in the Sandbox environment.
